org.apache.cassandra.metrics

## Class CommitLogMetrics

- java.lang.Object
- - org.apache.cassandra.metrics.CommitLogMetrics

    public class CommitLogMetrics
    extends java.lang.Object

Metrics for commit log

### Field Summary

Fields
`com.codahale.metrics.Gauge<java.lang.Long>` `completedTasks` Number of completed tasks
`static MetricNameFactory` `factory`
`com.codahale.metrics.Gauge<java.lang.Long>` `pendingTasks` Number of pending tasks
`com.codahale.metrics.Gauge<java.lang.Long>` `totalCommitLogSize` Current size used by all the commit log segments
`com.codahale.metrics.Timer` `waitingOnCommit` The time spent waiting on CL sync; for Periodic this is only occurs when the sync is lagging its sync interval
`com.codahale.metrics.Timer` `waitingOnSegmentAllocation` Time spent waiting for a CLS to be allocated - under normal conditions this should be zero

### Constructor Summary

Constructors
Constructor and Description
`CommitLogMetrics()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `attach(AbstractCommitLogService service, CommitLogSegmentManager allocator)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### factory

    public static final MetricNameFactory factory

#### completedTasks

    public com.codahale.metrics.Gauge<java.lang.Long> completedTasks

Number of completed tasks

#### pendingTasks

    public com.codahale.metrics.Gauge<java.lang.Long> pendingTasks

Number of pending tasks

#### totalCommitLogSize

    public com.codahale.metrics.Gauge<java.lang.Long> totalCommitLogSize

Current size used by all the commit log segments

#### waitingOnSegmentAllocation

    public final com.codahale.metrics.Timer waitingOnSegmentAllocation

Time spent waiting for a CLS to be allocated - under normal conditions this should be zero

#### waitingOnCommit

    public final com.codahale.metrics.Timer waitingOnCommit

The time spent waiting on CL sync; for Periodic this is only occurs when the sync is lagging its sync interval

### Constructor Detail

#### CommitLogMetrics

    public CommitLogMetrics()

### Method Detail

#### attach

    public void attach(AbstractCommitLogService service,
                       CommitLogSegmentManager allocator)